## com.lowagie.text.rtf.document.output
Class RtfNilOutputStream

    java.lang.Object
      java.io.OutputStream
          com.lowagie.text.rtf.document.output.RtfNilOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public final class RtfNilOutputStream

extends java.io.OutputStream

The RtfNilOutputStream is a dummy output stream that sends all bytes to the big byte bucket in the sky. It is used to improve speed in those situations where processing is required, but the results are not needed.

Version:
  $Id: RtfNilOutputStream.java 2776 2007-05-23 20:01:40Z hallm $
Author:
  Thomas Bickel (tmb99@inode.at), Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private long` `size`

Constructor Summary
`RtfNilOutputStream()`

Method Summary
`long` `getSize()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.OutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### size

    private long size

Constructor Detail

### RtfNilOutputStream

    public RtfNilOutputStream()

Method Detail

### getSize

    public long getSize()

### write

    public void write(int b)

  Specified by:
    `write` in class `java.io.OutputStream`

### write

    public void write(byte[] b,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.OutputStream`